Get managed integrations
https://{kibana_url}
- GET /api/fleet/managed_integrations
List managed integrations
Query Parameters
-
pagenumber Page number. Defaults to
1.-
perPagenumber Number of results per page. Defaults to
20.-
sortFieldstring · max: 256 Field to sort results by. Defaults to
updated_at.-
kuerystring · max: 4096 A KQL query string to filter results. Filtering is restricted to the following fields:
name,namespace,package.name.
Responses
Indicates a successful response
-
itemsobject · max: 10000required -
additional_datastreams_permissionsstring · max: 1000 -
Additional data stream permissions granted to the managed integration.
-
cloud_connector -
cloud_connector_idstring · max: 255required -
The ID of the cloud connector.
-
enabledbooleanrequired -
Whether the cloud connector is active for this policy.
-
created_atstring · max: 64required -
Creation timestamp (ISO 8601).
-
created_bystring · max: 1024required -
User who created the policy.
-
descriptionstring · max: 2048 -
Managed integration description.
-
Custom data tags applied to all data produced by this policy.
-
The name of the custom field.
-
The value of the custom field.
-
idstring · max: 255required -
Managed integration unique identifier.
-
inputsmap string to objectrequired -
Package policy inputs. Refer to the integration documentation to know which inputs are available.
-
<string>object -
conditionstring · max: 10000nullable -
Agent condition expression to evaluate whether to apply this input.
-
deprecated -
descriptionstring · max: 4096required -
replaced_bymap string to string -
sincestring · max: 50 -
enabledboolean -
Enable or disable that input. Defaults to
true(enabled). -
streamsmap string to object -
Input streams. Refer to the integration documentation to know which streams are available.
-
<string>object -
conditionstring · max: 10000nullable -
Agent condition expression to evaluate whether to apply this stream.
-
deprecated -
descriptionstring · max: 4096required -
replaced_bymap string to string -
sincestring · max: 50 -
enabledboolean -
Enable or disable that stream. Defaults to
true(enabled). -
var_group_selectionsmap string to string -
Variable group selections. Maps var_group name to the selected option name within that group.
-
varsmap string to anyOf -
Input/stream level variable. Refer to the integration documentation for more information.
-
varsmap string to anyOf -
Input/stream level variable. Refer to the integration documentation for more information.
-
namestring · max: 255required -
Managed integration name.
-
namespacestring · max: 100 -
Policy namespace. Defaults to the agent policy namespace.
-
packagerequired -
updated_atstring · max: 64required -
Last update timestamp (ISO 8601).
-
updated_bystring · max: 1024required -
User who last updated the policy.
-
var_group_selectionsmap string to string -
Variable group selections. Maps var_group name to the selected option name within that group.
-
varsmap string to anyOf -
Input/stream level variable. Refer to the integration documentation for more information.
-
pagenumberrequired -
perPagenumberrequired -
totalnumberrequired
Bad Request
-
attributesobjectrequired -
errorstring -
errorTypestring -
messagestringrequired -
statusCodenumber